Subject: Ticket Assigned - online shopping feedback
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 13 Mar 2021 05:42:32 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  online shopping feedback Hello,

Just want to say that my recent experience, which was my first, was not successful. First of all, when ordering online I wasn't able to select home delivery and could only choose store pick up. Then, although the indicator said 1-2 days deliver, it took a lot longer, which meant, basically, I had ample time to just go to the store and buy what I want intead of lingering and waiting. Finally, when I got the notification to pick up my items, it wasn't sufficient to show my ID, the store clerk took a photo of my ID, which really made me uncomfortable - given data storage and my ID being on this mobile phone. I am definitely not going to shop using your online again!

Anastasia

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2222921